//
//  PickerSelection.swift
//  SampleApp
//
//  Created by Nishan on 25/8/2566 BE.
//  Copyright © 2566 BE David Zhang. All rights reserved.
//

import SwiftUI

struct PickerSelection<T>: View where T: CustomStringConvertible & Hashable {
    
    let title: String
    @Binding var selection: T
    let options: [T]
    
    var body: some View {
        VStack(spacing: 6) {
            Text(title)
                .font(.caption)
                .foregroundColor(Color(uiColor: .secondaryLabel))
            
            Picker(title, selection: $selection) {
                ForEach(options, id: \.self) {
                    Text($0.description)
                }
            }
            .pickerStyle(.menu)
            .padding(.horizontal)
            .background(Color.secondary)
            .cornerRadius(8)
            .accentColor(.white)
        }
    }
}
struct PickerSelection_Previews: PreviewProvider {
    static var previews: some View {
        PickerSelection<String>(title: "Test", selection: .constant(""), options: ["a","b","c"])
    }
}
